<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.ToiletMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Toilet">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="agent_id" property="agentId" />
        <result column="property_id" property="propertyId" />
        <result column="district_id" property="districtId" />
        <result column="building_id" property="buildingId" />
        <result column="floor" property="floor" />
        <result column="labels" property="labels" />
        <result column="name" property="name" />
        <result column="gender" property="gender" />
        <result column="hardware_count" property="hardwareCount" />
        <result column="address_id" property="addressId" />
        <result column="status" property="status" />
        <result column="cleaning_time" property="cleaningTime" />
        <result column="length" property="length" />
        <result column="width" property="width" />
        <result column="latrines_count" property="latrinesCount" />
        <result column="gate_azimuth" property="gateAzimuth" />
        <result column="no" property="no" />
        <result column="install_type" property="installType" />
        <result column="orderby" property="orderby" />
        <result column="airdetector_flag" property="airdetectorFlag" />
        <result column="h5_model_id" property="h5ModelId" />
        <result column="layout_type" property="layoutType" />
        <result column="left_count" property="leftCount" />
        <result column="right_count" property="rightCount" />
        <result column="agent_name" property="agentName" />
        <result column="property_name" property="propertyName" />
        <result column="district_name" property="districtName" />
        <result column="floor_id" property="floorId" />
        <result column="multistage_grid_id" property="multistageGridId" />
        <result column="multistage_grid_name" property="multistageGridName" />
        <result column="superior_grid_name" property="superiorGridName" />
        <result column="quality_level" property="qualityLevel" />
        <result column="scenes_level" property="scenesLevel" />
        <result column="enable_status" property="enableStatus" />
        <result column="superior_scenes_name" property="superiorScenesName" />
        <result column="note" property="note" />
        <result column="create_name" property="createName" />
        <result column="modify_name" property="modifyName" />
        <result column="grid_level" property="gridLevel" />
        <result column="building_name" property="buildingName" />
        <result column="scenes_type" property="scenesType" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, agent_id, property_id, district_id, building_id, floor, labels, name, gender, hardware_count, address_id, status, cleaning_time, length, width, latrines_count, gate_azimuth, no, install_type, orderby, airdetector_flag, h5_model_id, layout_type, left_count, right_count, agent_name, property_name, district_name, floor_id, multistage_grid_id, multistage_grid_name, superior_grid_name, quality_level, scenes_level, enable_status, superior_scenes_name, note, create_name, modify_name, grid_level, building_name, scenes_type
    </sql>

</mapper>
